Loading...
Searching...
No Matches
DXGI_ADAPTER_DESC1 Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

WCHAR | Description [128]
UINT | VendorId
UINT | DeviceId
UINT | SubSysId
UINT | Revision
SIZE_T | DedicatedVideoMemory
SIZE_T | DedicatedSystemMemory
SIZE_T | SharedSystemMemory
LUID | AdapterLuid
UINT | Flags

## Detailed Description

Definition at line 5952 of file mini_d3d12.h.

## Member Data Documentation

## Description

WCHAR DXGI_ADAPTER_DESC1::Description[128]

Definition at line 5953 of file mini_d3d12.h.

## VendorId

UINT DXGI_ADAPTER_DESC1::VendorId

Definition at line 5954 of file mini_d3d12.h.

## DeviceId

UINT DXGI_ADAPTER_DESC1::DeviceId

Definition at line 5955 of file mini_d3d12.h.

## SubSysId

UINT DXGI_ADAPTER_DESC1::SubSysId

Definition at line 5956 of file mini_d3d12.h.

## Revision

UINT DXGI_ADAPTER_DESC1::Revision

Definition at line 5957 of file mini_d3d12.h.

## DedicatedVideoMemory

SIZE_T DXGI_ADAPTER_DESC1::DedicatedVideoMemory

Definition at line 5958 of file mini_d3d12.h.

## DedicatedSystemMemory

SIZE_T DXGI_ADAPTER_DESC1::DedicatedSystemMemory

Definition at line 5959 of file mini_d3d12.h.

## SharedSystemMemory

SIZE_T DXGI_ADAPTER_DESC1::SharedSystemMemory

Definition at line 5960 of file mini_d3d12.h.

## AdapterLuid

LUID DXGI_ADAPTER_DESC1::AdapterLuid

Definition at line 5961 of file mini_d3d12.h.

## Flags

UINT DXGI_ADAPTER_DESC1::Flags

Definition at line 5962 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h